package com.aliyun.iot.homelink.demo.commons.util;

import android.annotation.SuppressLint;
import android.app.Application;

import java.lang.reflect.InvocationTargetException;

/**
 * Created by ZhuBingYang on 2019-04-25.
 */
public class Util {
    private static Application mApplication;

    public static Application getApplication() {
        if (mApplication != null) return mApplication;

        try {
            @SuppressLint("PrivateApi") Class<?> thread = Class.forName("android.app.ActivityThread");
            Object currentThread = thread.getMethod("currentActivityThread").invoke(null);
            Object app = thread.getMethod("getApplication").invoke(currentThread);
            if (app == null) {
                throw new NullPointerException("app has not init");
            }
            mApplication = (Application) app;
            return mApplication;
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        } catch (InvocationTargetException e) {
            e.printStackTrace();
        } catch (NoSuchMethodException e) {
            e.printStackTrace();
        }
        return mApplication;
    }
}
