package com.aliyun.iot.homelink.demo.page.scene.api;

public interface ResponseCallback<T> {
        /**
         * Callback when request failed
         *
         * @param message error message
         */
        void onFail(String message);

        /**
         * Callback when request succeed
         *
         * @param data response data of type T
         */
        void onSuccess(T data);
    }