package com.aliyun.iot.homelink.demo.page.scene.entities;

import java.util.Calendar;

/**
 * @author sinyuk
 * @date 2018/6/14
 */
public class Log {
    public String icon;
    public String id;
    public int result;
    public String sceneId;
    public String sceneName;
    public long time;

    @Deprecated
    public String getHead() {
        Calendar c = Calendar.getInstance();
        c.setTimeInMillis(time);
        int y = c.get(Calendar.YEAR);
        int d = c.get(Calendar.DAY_OF_MONTH);
        int m = c.get(Calendar.MONTH) + 1;
        String day = String.valueOf(d);
        if (day.length() == 1) {
            day = "0" + day;
        }
        String mouth = String.valueOf(m);
        if (mouth.length() == 1) {
            mouth = "0" + mouth;
        }
        String year = String.valueOf(y);

        return mouth + "/" + day + "/" + year;
    }

    public String getHeadWeekday() {
        Calendar c = Calendar.getInstance();
        c.setTimeInMillis(time);
        int m = c.get(Calendar.MONTH) + 1;
        int d = c.get(Calendar.DAY_OF_MONTH);
        int w = c.get(Calendar.DAY_OF_WEEK);
        String day = String.valueOf(d);
        if (day.length() == 1) {
            day = "0" + day;
        }
        String mouth = String.valueOf(m);
        if (mouth.length() == 1) {
            mouth = "0" + mouth;
        }
        String weekday = "";
        switch (w) {
            case 1:
                weekday = "星期日";
                break;
            case 2:
                weekday = "星期一";
                break;
            case 3:
                weekday = "星期二";
                break;
            case 4:
                weekday = "星期三";
                break;
            case 5:
                weekday = "星期四";
                break;
            case 6:
                weekday = "星期五";
                break;
            case 7:
                weekday = "星期六";
            default:
                break;
        }
        return mouth + "/" + day + " " + weekday;
    }

    public String getTime() {
        Calendar c = Calendar.getInstance();
        c.setTimeInMillis(time);
        int h = c.get(Calendar.HOUR_OF_DAY);
        int m = c.get(Calendar.MINUTE);
//        if (c.get(Calendar.AM_PM) == Calendar.PM) {
//            h += 12;
//        }
        String hour = String.valueOf(h);
        if (hour.length() == 1) {
            hour = "0" + hour;
        }

        String min = String.valueOf(m);
        if (min.length() == 1) {
            min = "0" + min;
        }
        return hour + ":" + min;
    }

}
