package com.aliyun.iot.homelink.demo.page.share.ui;

import android.support.annotation.Nullable;

import com.aliyun.iot.homelink.demo.page.R;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;

import java.util.List;

/**
 * @author sinyuk
 * @date 2018/6/27
 */
public class HouseShareAdapter extends BaseQuickAdapter<String[], BaseViewHolder> {

    HouseShareAdapter(@Nullable List<String[]> data) {
        super(R.layout.list_item_room, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, String[] item) {
        if (item != null && item.length == 2) {
            helper.setText(R.id.name, item[0]);
            helper.setText(R.id.details, item[1]);
        }
    }
}
