package com.aliyun.iot.homelink.demo.page.scene.details;

import android.view.View;

import com.aliyun.iot.homelink.demo.page.scene.R;
import com.aliyun.iot.homelink.demo.page.scene.entities.Detail;
import com.aliyun.iot.homelink.demo.page.scene.widgets.Divided;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;

/**
 * @author sinyuk
 * @date 2018/6/19
 */
class DetailAdapter extends BaseQuickAdapter<Detail, DetailAdapter.DividedViewHolder> {
    DetailAdapter() {
        super(R.layout.details_list_item);
    }

    @Override
    protected void convert(DividedViewHolder helper, Detail item) {
        helper.setText(R.id.failedReason, item.failedReason);
        helper.setText(R.id.detail, item.detail);
    }

    class DividedViewHolder extends BaseViewHolder implements Divided {
        DividedViewHolder(View view) {
            super(view);
        }
    }
}
